# Serialized Form

## Package javax.servlet

### Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.Object value

### Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.Object value

### Class javax.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.UnavailableException extends ServletException implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### servlet

    Servlet servlet

#### permanent

    boolean permanent

#### seconds

    int seconds

## Package javax.servlet.http

### Class javax.servlet.http.Cookie extends java.lang.Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.String value

#### comment

    java.lang.String comment

#### domain

    java.lang.String domain

#### maxAge

    int maxAge

#### path

    java.lang.String path

#### secure

    boolean secure

#### version

    int version

#### httpOnly

    boolean httpOnly

### Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

#### value

    java.lang.Object value

### Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

serialVersionUID:
  1L

## Package javax.servlet.jsp

### Class javax.servlet.jsp.JspException extends java.lang.Exception implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.jsp.JspTagException extends JspException implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.jsp.SkipPageException extends JspException implements Serializable

serialVersionUID:
  1L

## Package javax.servlet.jsp.el

### Class javax.servlet.jsp.el.ELException extends java.lang.Exception implements Serializable

serialVersionUID:
  1L

### Class javax.servlet.jsp.el.ELParseException extends ELException implements Serializable

serialVersionUID:
  1L

## Package javax.servlet.jsp.tagext

### Class javax.servlet.jsp.tagext.BodyTagSupport extends TagSupport implements Serializable

serialVersionUID:
  -7235752615580319833L

### Class javax.servlet.jsp.tagext.TagSupport extends java.lang.Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### parent

    Tag parent

#### values

    java.util.Hashtable<K,V> values

#### id

    java.lang.String id

The value of the id attribute of this tag; or null.